<?xml version="1.0" encoding="UTF-8"?><MEMPL_SALARY desc_thai="ทะเบียนเงินเดือนของพนักงาน" desc_eng="Employee Salary Detail" editcheck="true" mainhelp="MEMP_SALARYHELP" referhelp="MEMP_SALARYHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
<FIELD>
	<EMPLOYEEID lang="A" encrypt="N" log="false" type="String">
        <KEY>1</KEY>
		<RELATION>MEMPLOYEE</RELATION>
		<WIDTH>15</WIDTH>
		<DESC_ENG>Employeeid</DESC_ENG>
		<DESC_THAI>รหัสพนักงาน</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>15</MAXSIZE>
			<SIZE>15</SIZE>
			<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			<ALT_ENG>Employeeid</ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
	<COMPANYID lang="A" encrypt="false" log="false" type="String">
		 <KEY>2</KEY><WIDTH>5</WIDTH>
		<DESC_ENG>Companyid</DESC_ENG>
		<DESC_THAI>รหัสบริษัท</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>5</MAXSIZE>
			<SIZE>5</SIZE>
			<ALT_THAI>รหัสบริษัท</ALT_THAI>
			<ALT_ENG>Companyid</ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL">
			<DESC_ENG>Companyid</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>5</MAXSIZE>
			<SIZE>5</SIZE>
			<ALT_THAI>บริษัท</ALT_THAI>
			<ALT_ENG>Companyid</ALT_ENG>
		</COMPONENT></APPNAME>
</COMPANYID>
	<CURRENCY lang="A" encrypt="false" log="false" type="String"><RELATION>MCURRENCY</RELATION>
		<WIDTH>3</WIDTH>
		<DESC_ENG>Currency</DESC_ENG>
		<DESC_THAI>สกุลเงิน</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>3</MAXSIZE>
			<SIZE>3</SIZE>
			<ALT_THAI>สกุลเงิน</ALT_THAI>
			<ALT_ENG>Currency</ALT_ENG>
			<READONLY>false</READONLY>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="PAYROLL">
			<DESC_ENG>Currency</DESC_ENG>
			<DESC_THAI>อัตราแลกเปลี่ยน</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>3</MAXSIZE>
			<SIZE>3</SIZE>
			<ALT_THAI>อัตราแลกเปลี่ยน</ALT_THAI>
			<ALT_ENG>Currency</ALT_ENG>
			<READONLY>false</READONLY>
		</COMPONENT></APPNAME>
</CURRENCY>
    <LINE_NO lang="A" encrypt="false" log="false" type="String">
		    <KEY>3</KEY>
			<WIDTH>3</WIDTH>
			<DESC_ENG>LINE_NO</DESC_ENG>
			<DESC_THAI>LINE_NO</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_ENG>LINE_NO</ALT_ENG>
				<ALT_THAI>LINE_NO</ALT_THAI>
			</COMPONENT>
		</LINE_NO>
	<AMOUNT lang="A" encrypt="N" log="true" type="Double">
		<WIDTH>15</WIDTH>
		<DESC_ENG>Amount</DESC_ENG>
		<DESC_THAI>จำนวน</DESC_THAI>
		<SALARY>TRUE</SALARY>
		<COMPONENT type="text">
			<VALUE>0.0</VALUE>
			<MAXSIZE>15</MAXSIZE>
			<SIZE>15</SIZE>
			<ALT_THAI>จำนวน</ALT_THAI>
			<ALT_ENG>Amount</ALT_ENG>
			<ONKEYPRESS>chkBigDecimal(this)</ONKEYPRESS>
		</COMPONENT>
<APPNAME name="PAYROLL">
			<DESC_ENG>Amount</DESC_ENG>
			<DESC_THAI>จำนวน</DESC_THAI>
				<COMPONENT type="text">
			<MAXSIZE>15</MAXSIZE>
			<SIZE>15</SIZE>
			<ALT_THAI>จำนวน</ALT_THAI>
			<ALT_ENG>Amount</ALT_ENG>
			<ONKEYPRESS>chkBigDecimal(this)</ONKEYPRESS>
		</COMPONENT></APPNAME>
</AMOUNT>
</FIELD>
	<RELATION>
	</RELATION>
</MEMPL_SALARY>
